Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## jedi
Class JediSecurityManager

    java.lang.Object
      |
      +--java.lang.SecurityManager
            |
            +--jedi.JediSecurityManager

public class JediSecurityManager
extends java.lang.SecurityManager

Fields inherited from class java.lang.SecurityManager
`inCheck`

Constructor Summary
`JediSecurityManager()`

Method Summary
`void` | `checkAccept(java.lang.String host, int port)`
`void` | `checkAccess(java.lang.Thread g)`
`void` | `checkAccess(java.lang.ThreadGroup g)`
`void` | `checkAwtEventQueueAccess()`
`void` | `checkConnect(java.lang.String host, int port)`
`void` | `checkConnect(java.lang.String host, int port, java.lang.Object context)`
`void` | `checkCreateClassLoader()`
`void` | `checkDelete(java.lang.String file)`
`void` | `checkExec(java.lang.String cmd)`
`void` | `checkExit(int status)`
`void` | `checkLink(java.lang.String lib)`
`void` | `checkListen(int port)`
`void` | `checkMemberAccess(java.lang.Class clazz, int which)`
`void` | `checkMulticast(java.net.InetAddress maddr)`
`void` | `checkMulticast(java.net.InetAddress maddr, byte ttl)`
`void` | `checkPackageAccess(java.lang.String pkg)`
`void` | `checkPackageDefinition(java.lang.String pkg)`
`void` | `checkPrintJobAccess()`
`void` | `checkPropertiesAccess()`
`void` | `checkPropertyAccess(java.lang.String key)`
`void` | `checkRead(java.io.FileDescriptor fd)`
`void` | `checkRead(java.lang.String file)`
`void` | `checkRead(java.lang.String file, java.lang.Object context)`
`void` | `checkSecurityAccess(java.lang.String provider)`
`void` | `checkSetFactory()`
`void` | `checkSystemClipboardAccess()`
`boolean` | `checkTopLevelWindow(java.lang.Object window)`
`void` | `checkWrite(java.io.FileDescriptor fd)`
`void` | `checkWrite(java.lang.String file)`
`int` | `getExitValue()`
`void` | `setExit(boolean b)`

Methods inherited from class java.lang.SecurityManager
`checkPermission, checkPermission, classDepth, classLoaderDepth, currentClassLoader, currentLoadedClass, getClassContext, getInCheck, getSecurityContext, getThreadGroup, inClass, inClassLoader`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### JediSecurityManager

    public JediSecurityManager()

Method Detail

### checkAccept

    public void checkAccept(java.lang.String host,
                            int port)

  Overrides:
    `checkAccept` in class `java.lang.SecurityManager`

### checkAccess

    public void checkAccess(java.lang.ThreadGroup g)

  Overrides:
    `checkAccess` in class `java.lang.SecurityManager`

### checkAccess

    public void checkAccess(java.lang.Thread g)

  Overrides:
    `checkAccess` in class `java.lang.SecurityManager`

### checkAwtEventQueueAccess

    public void checkAwtEventQueueAccess()

  Overrides:
    `checkAwtEventQueueAccess` in class `java.lang.SecurityManager`

### checkConnect

    public void checkConnect(java.lang.String host,
                             int port)

  Overrides:
    `checkConnect` in class `java.lang.SecurityManager`

### checkConnect

    public void checkConnect(java.lang.String host,
                             int port,
                             java.lang.Object context)

  Overrides:
    `checkConnect` in class `java.lang.SecurityManager`

### checkCreateClassLoader

    public void checkCreateClassLoader()

  Overrides:
    `checkCreateClassLoader` in class `java.lang.SecurityManager`

### checkDelete

    public void checkDelete(java.lang.String file)

  Overrides:
    `checkDelete` in class `java.lang.SecurityManager`

### checkExec

    public void checkExec(java.lang.String cmd)

  Overrides:
    `checkExec` in class `java.lang.SecurityManager`

### checkExit

    public void checkExit(int status)

  Overrides:
    `checkExit` in class `java.lang.SecurityManager`

### checkLink

    public void checkLink(java.lang.String lib)

  Overrides:
    `checkLink` in class `java.lang.SecurityManager`

### checkListen

    public void checkListen(int port)

  Overrides:
    `checkListen` in class `java.lang.SecurityManager`

### checkMemberAccess

    public void checkMemberAccess(java.lang.Class clazz,
                                  int which)

  Overrides:
    `checkMemberAccess` in class `java.lang.SecurityManager`

### checkMulticast

    public void checkMulticast(java.net.InetAddress maddr)

  Overrides:
    `checkMulticast` in class `java.lang.SecurityManager`

### checkMulticast

    public void checkMulticast(java.net.InetAddress maddr,
                               byte ttl)

  Overrides:
    `checkMulticast` in class `java.lang.SecurityManager`

### checkPackageAccess

    public void checkPackageAccess(java.lang.String pkg)

  Overrides:
    `checkPackageAccess` in class `java.lang.SecurityManager`

### checkPackageDefinition

    public void checkPackageDefinition(java.lang.String pkg)

  Overrides:
    `checkPackageDefinition` in class `java.lang.SecurityManager`

### checkPrintJobAccess

    public void checkPrintJobAccess()

  Overrides:
    `checkPrintJobAccess` in class `java.lang.SecurityManager`

### checkPropertiesAccess

    public void checkPropertiesAccess()

  Overrides:
    `checkPropertiesAccess` in class `java.lang.SecurityManager`

### checkPropertyAccess

    public void checkPropertyAccess(java.lang.String key)

  Overrides:
    `checkPropertyAccess` in class `java.lang.SecurityManager`

### checkRead

    public void checkRead(java.io.FileDescriptor fd)

  Overrides:
    `checkRead` in class `java.lang.SecurityManager`

### checkRead

    public void checkRead(java.lang.String file)

  Overrides:
    `checkRead` in class `java.lang.SecurityManager`

### checkRead

    public void checkRead(java.lang.String file,
                          java.lang.Object context)

  Overrides:
    `checkRead` in class `java.lang.SecurityManager`

### checkSecurityAccess

    public void checkSecurityAccess(java.lang.String provider)

  Overrides:
    `checkSecurityAccess` in class `java.lang.SecurityManager`

### checkSetFactory

    public void checkSetFactory()

  Overrides:
    `checkSetFactory` in class `java.lang.SecurityManager`

### checkSystemClipboardAccess

    public void checkSystemClipboardAccess()

  Overrides:
    `checkSystemClipboardAccess` in class `java.lang.SecurityManager`

### checkTopLevelWindow

    public boolean checkTopLevelWindow(java.lang.Object window)

  Overrides:
    `checkTopLevelWindow` in class `java.lang.SecurityManager`

### checkWrite

    public void checkWrite(java.lang.String file)

  Overrides:
    `checkWrite` in class `java.lang.SecurityManager`

### checkWrite

    public void checkWrite(java.io.FileDescriptor fd)

  Overrides:
    `checkWrite` in class `java.lang.SecurityManager`

### getExitValue

    public int getExitValue()

### setExit

    public void setExit(boolean b)

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD